/*
 * Gate between adresses and precompiled code.
 *
 * Provides a way to get the function to execute for a given address.
 */

#ifndef __PSX_CODEGATE_H_
# define __PSX_CODEGATE_H_

# include <stdint.h>

typedef void (*instr_func)(uint32_t, uint32_t, uint32_t, uint32_t);

instr_func psx_instr_at(uint32_t addr);
void psx_instr_params_at(uint32_t addr, uint32_t* out);

#endif
