(*
 * Compiles the codegraph to LLVM bytecode.
 *)

type state
type out

val init : Psx_file.t -> state
val compile : state -> out

val to_binary : out -> out_channel -> unit
val to_bytecode : out -> out_channel -> unit
val to_il : out -> out_channel -> unit
