(*
 * Compiles a Psx_file.t to unoptimized LLVM bytecode.
 *
 * Basically, it translates every instruction to a function call.
 *)

type state
type out

val init : Psx_file.t -> state
val compile : state -> out

val to_binary : out -> out_channel -> unit
val to_bytecode : out -> out_channel -> unit
val to_il : out -> out_channel -> unit
