#include "printf.h"
#include "../psx/interpreter.h"
#include "../psx/memory.h"

void psx_bios_strlen(uint32_t* GPR)
{
    uint32_t n = 0;
    uint32_t string_addr = GPR[A0];

    while (psx_mem_read_8(string_addr) != '\0')
    {
        n += 1;
        string_addr += 1;
    }

    GPR[V0] = n;
}
