/*
 * Declares all the global values used in the PSX execution engine.
 */

#ifndef __PSX_GLOBALS_H_
# define __PSX_GLOBALS_H_

# include "codegate.h" /* For instr_func */

# include <stdint.h>

extern uint8_t t_seg[];
extern uint32_t t_seg_addr;
extern uint32_t t_seg_size;

extern uint32_t s_seg_addr;

extern uint32_t init_gp;
extern uint32_t pc;
extern instr_func instrs[];
extern uint32_t instrs_params[];

#endif
