// DEMO1.C (c) 2001 Blade
//
// Basic graphics initialization
// Setting up and using an ordering table
// How to print on the Playstation and PC screens
// Function: Print a message on the Playstation
//           Print a message on the PC
//           Exit after a short delay

// You must have this include in any program you write
#include <bladeps.h>

// set up an Ordering Table 2000 bytes long
u_char ordering_table[2000];

void main (void)
{
  long i;

  // set the screen to be 320 x 240
  GsInitGraphQuick (320, 240);

  // point to the start of the Ordering Table
  GsSetWorkBase(&ordering_table[0]);

  // add a 'clear screen' command to the Ordering Table
  GsSortClear (150, 50, 50);

  // add some text to the Ordering Table
  FntPrint(0, 60, 90, "Hello World");

  // print some text on the PC monitor
  printf("\nWait for a few seconds...\n");

  // print the contents of the OT on the screen
  GsDrawOT ((u_long *) &ordering_table[0]);

  // wait a while before ending
  for(i = 0; i < 49999999; i++);

}
