// DEMO8.C (c) 2001 Blade
//
// Messing around with semi-transparency...

#include <bladeps.h>

#define rand_255 (abs(rand32()) & 0xff)

short number_of_tiles = 20;

u_char primitive_buffer[2][4000];

u_long pad = 0;
u_long old_pad = 0;
u_long exit_flag = 0;
u_long semi_type = 0;

void main (void)
{
  int act, i;
  GsTILE tile[number_of_tiles];

  /* set up some random tiles */
  for (i = 0; i < number_of_tiles; i++) {
    tile[i].r = (rand_255);
    tile[i].g = (rand_255);
    tile[i].b = (rand_255);
    tile[i].x = (rand_255);
    tile[i].y = (rand_255);
    tile[i].w = 48;
    tile[i].h = 48;
    tile[i].trans = 0;
  }

  PadInit ();

  GsInitGraphQuick (320, 240);

  while (exit_flag == 0) {

    act = GsGetActiveBuff ();

    GsSetWorkBase(&primitive_buffer[act][0]);

    GsSortClear (40, 40, 40);

    /* move the tiles and add them to the OT */
    for (i = 0; i < number_of_tiles; i++) {

      if ( (rand_255 > 0x7f) && (tile[i].x > 0) ) tile[i].x--;
        else if (tile[i].x < 280) tile[i].x++;

      if ( (rand_255 > 0x7f) && (tile[i].y > 0) ) tile[i].y--;
        else if (tile[i].y < 200) tile[i].y++;

      tile[i].trans = semi_type;

      GsSortTile (&tile[i]);
      }

    FntPrint(0, 40, 0, "Transparency type = %d", semi_type);
    FntPrint(0, 40, 8, "Use 'X' to change the type...");

    GsSwapDispBuff ();

    GsDrawOT ((u_long *) &primitive_buffer[act][0]);

    WaitVSync();

    pad = PadRead();

    /**********************************************
     old_pad is so that the demo doesn't keep
     flicking between transparency types if the
     x key is held down
     **********************************************/
    if (pad != old_pad) {

      if ((pad & PAD_L2) > 0) exit_flag++;

      if ((pad & PAD_CROSS) > 0) semi_type++;

      old_pad = pad;
      }

    if (semi_type == 5)
      semi_type = 0;

  }

  PadStop ();
}
